curl https://zeplo.ai/api/groups \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"name": "Customers",
"description": "Active customers",
"contactCount": 500,
"createdAt": "2026-01-01T08:00:00Z"
},
{
"id": 2,
"name": "VIP",
"description": "VIP customers",
"contactCount": 50,
"createdAt": "2026-01-01T08:00:00Z"
}
]
}
Groups
GET List Groups
Retrieve contact groups.
GET
/
api
/
groups
curl https://zeplo.ai/api/groups \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"name": "Customers",
"description": "Active customers",
"contactCount": 500,
"createdAt": "2026-01-01T08:00:00Z"
},
{
"id": 2,
"name": "VIP",
"description": "VIP customers",
"contactCount": 50,
"createdAt": "2026-01-01T08:00:00Z"
}
]
}
List Groups
GET /api/groups
Retrieve all contact groups with member counts.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl https://zeplo.ai/api/groups \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"name": "Customers",
"description": "Active customers",
"contactCount": 500,
"createdAt": "2026-01-01T08:00:00Z"
},
{
"id": 2,
"name": "VIP",
"description": "VIP customers",
"contactCount": 50,
"createdAt": "2026-01-01T08:00:00Z"
}
]
}
Get contact counts per group
GET /api/groups/contact-counts
Retrieve the number of contacts in each group.
curl https://zeplo.ai/api/groups/contact-counts \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
